complexType "SubstituteCollateral"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 4 elements
Defined: | globally in fpml-collateral-processes-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | ((return, deliver?) | deliver)?, substitutionAmount?
</...>

Content Model Elements (4):

  deliver (defined in SubstituteCollateral complexType), deliver (defined in SubstituteCollateral complexType), | return (defined in SubstituteCollateral complexType), substitutionAmount

All Direct / Indirect Based Elements (3):

  segregatedIndependentAmount (in requestSubstitution), segregatedIndependentAmount (in requestSubstitution), | variationMargin (in requestSubstitution)

Known Usage Locations

- As direct type of elements (3):

  segregatedIndependentAmount (in requestSubstitution), segregatedIndependentAmount (in requestSubstitution), | variationMargin (in requestSubstitution)

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="SubstituteCollateral"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:sequence> <xsd:element name="return" type="ProposedCollateralDeliveryReturn"/> <xsd:element minOccurs="0" name="deliver" type="ProposedCollateralDeliveryReturn"/> </xsd:sequence> <xsd:element name="deliver" type="ProposedCollateralDeliveryReturn"/> </xsd:choice> <xsd:element minOccurs="0" name="substitutionAmount" type="xsd:decimal"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
deliver

  Type: | ProposedCollateralDeliveryReturn, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="deliver" type="ProposedCollateralDeliveryReturn"/>

deliver

  Type: | ProposedCollateralDeliveryReturn, complex content

  return details for substitute collateral
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="deliver" type="ProposedCollateralDeliveryReturn"/>

return

  Type: | ProposedCollateralDeliveryReturn, complex content

  return details for substitute collateral
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="return" type="ProposedCollateralDeliveryReturn"/>

substitutionAmount

  Type: | xsd:decimal, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="substitutionAmount" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.